org.keycloak.events.jpa

## Class JpaAdminEventQuery

- java.lang.Object
- - org.keycloak.events.jpa.JpaAdminEventQuery

- All Implemented Interfaces:
    AdminEventQuery

      public class JpaAdminEventQuery
      extends Object
      implements AdminEventQuery

  Author:
    Giriraj Sharma

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JpaAdminEventQuery(javax.persistence.EntityManager em)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdminEventQuery` | `authClient(String authClientId)` Search by authenticated client
    `AdminEventQuery` | `authIpAddress(String ipAddress)` Search by request ip address
    `AdminEventQuery` | `authRealm(String authRealmId)` Search by authentication realm
    `AdminEventQuery` | `authUser(String authUserId)` Search by authenticated user
    `AdminEventQuery` | `firstResult(int firstResult)` Used for pagination
    `AdminEventQuery` | `fromTime(Date fromTime)` Search by events after the specified time
    `List<AdminEvent>` | `getResultList()` Executes the query and returns the results
    `AdminEventQuery` | `maxResults(int maxResults)` Use for pagination
    `AdminEventQuery` | `operation(OperationType... operations)` Search by operation type
    `AdminEventQuery` | `realm(String realmId)` Search by resource realm
    `AdminEventQuery` | `resourcePath(String resourcePath)` Search by resource path.
    `AdminEventQuery` | `resourceType(ResourceType... resourceTypes)` Search by `ResourceType`.
    `AdminEventQuery` | `toTime(Date toTime)` Search by events before the specified time

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JpaAdminEventQuery

          public JpaAdminEventQuery(javax.persistence.EntityManager em)

  - ### Method Detail

    - #### realm

          public AdminEventQuery realm(String realmId)

      Description copied from interface: `AdminEventQuery`
      Search by resource realm
      Specified by:
        `realm` in interface `AdminEventQuery`
      Parameters:
        `realmId` - realm id
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### operation

          public AdminEventQuery operation(OperationType... operations)

      Description copied from interface: `AdminEventQuery`
      Search by operation type
      Specified by:
        `operation` in interface `AdminEventQuery`
      Returns:
        `this` for method chaining

    - #### resourceType

          public AdminEventQuery resourceType(ResourceType... resourceTypes)

      Description copied from interface: `AdminEventQuery`
      Search by `ResourceType`.
      Specified by:
        `resourceType` in interface `AdminEventQuery`
      Returns:
        `this` for method chaining

    - #### authRealm

          public AdminEventQuery authRealm(String authRealmId)

      Description copied from interface: `AdminEventQuery`
      Search by authentication realm
      Specified by:
        `authRealm` in interface `AdminEventQuery`
      Parameters:
        `authRealmId` - realm name
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authClient

          public AdminEventQuery authClient(String authClientId)

      Description copied from interface: `AdminEventQuery`
      Search by authenticated client
      Specified by:
        `authClient` in interface `AdminEventQuery`
      Parameters:
        `authClientId` - client uuid
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authUser

          public AdminEventQuery authUser(String authUserId)

      Description copied from interface: `AdminEventQuery`
      Search by authenticated user
      Specified by:
        `authUser` in interface `AdminEventQuery`
      Parameters:
        `authUserId` - user uuid
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### authIpAddress

          public AdminEventQuery authIpAddress(String ipAddress)

      Description copied from interface: `AdminEventQuery`
      Search by request ip address
      Specified by:
        `authIpAddress` in interface `AdminEventQuery`
      Returns:
        Associated `AdminEventQuery` for method chaining

    - #### resourcePath

          public AdminEventQuery resourcePath(String resourcePath)

      Description copied from interface: `AdminEventQuery`
      Search by resource path. Supports wildcards `*` and `**`. For example:
      - */master - matches 'realms/master'
      - **/00d4b16f - matches 'realms/master/clients/00d4b16f'
      - realms/master/** - matches anything under 'realms/master'
      Specified by:
        `resourcePath` in interface `AdminEventQuery`
      Returns:
        `this` for method chaining

    - #### fromTime

          public AdminEventQuery fromTime(Date fromTime)

      Description copied from interface: `AdminEventQuery`
      Search by events after the specified time
      Specified by:
        `fromTime` in interface `AdminEventQuery`
      Parameters:
        `fromTime` - from date
      Returns:
        `this` for method chaining

    - #### toTime

          public AdminEventQuery toTime(Date toTime)

      Description copied from interface: `AdminEventQuery`
      Search by events before the specified time
      Specified by:
        `toTime` in interface `AdminEventQuery`
      Parameters:
        `toTime` - to date
      Returns:
        `this` for method chaining

    - #### firstResult

          public AdminEventQuery firstResult(int firstResult)

      Description copied from interface: `AdminEventQuery`
      Used for pagination
      Specified by:
        `firstResult` in interface `AdminEventQuery`
      Parameters:
        `firstResult` - first result to return
      Returns:
        `this` for method chaining

    - #### maxResults

          public AdminEventQuery maxResults(int maxResults)

      Description copied from interface: `AdminEventQuery`
      Use for pagination
      Specified by:
        `maxResults` in interface `AdminEventQuery`
      Parameters:
        `maxResults` - the maximum results to return
      Returns:
        `this` for method chaining

    - #### getResultList

          public List<AdminEvent> getResultList()

      Description copied from interface: `AdminEventQuery`
      Executes the query and returns the results
      Specified by:
        `getResultList` in interface `AdminEventQuery`
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.